Index: c/src/exec/score/cpu/m68k/ChangeLog
===================================================================
--- c/src/exec/score/cpu/m68k/ChangeLog	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/exec/score/cpu/m68k/ChangeLog	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -1,2 +1,8 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* include/rtems/score/ispsh7750.h, score/ispsh7750.c: Account for
+	name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/cpu/m68k/Makefile.am
===================================================================
--- c/src/exec/score/cpu/m68k/Makefile.am	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/exec/score/cpu/m68k/Makefile.am	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -28,5 +28,5 @@
     rtems/score/cpu.h \
     rtems/score/m68k.h \
-    rtems/score/m68ktypes.h
+    rtems/score/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
     $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
Index: c/src/exec/score/cpu/m68k/rtems/score/cpu.h
===================================================================
--- c/src/exec/score/cpu/m68k/rtems/score/cpu.h	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/exec/score/cpu/m68k/rtems/score/cpu.h	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -23,5 +23,5 @@
 #include <rtems/score/m68k.h>              /* pick up machine definitions */
 #ifndef ASM
-#include <rtems/score/m68ktypes.h>
+#include <rtems/score/types.h>
 #endif
 
Index: c/src/exec/score/cpu/m68k/rtems/score/m68k.h
===================================================================
--- c/src/exec/score/cpu/m68k/rtems/score/m68k.h	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/exec/score/cpu/m68k/rtems/score/m68k.h	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -231,5 +231,5 @@
 
 #ifndef ASM
-#include <rtems/score/m68ktypes.h>
+#include <rtems/score/types.h>
 #endif
 
Index: src/exec/score/cpu/m68k/rtems/score/m68ktypes.h
===================================================================
--- c/src/exec/score/cpu/m68k/rtems/score/m68ktypes.h	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ 	(revision )
@@ -1,57 +1,0 @@
-/*  m68ktypes.h
- *
- *  This include file contains type definitions pertaining to the Motorola
- *  m68xxx processor family.
- *
- *  COPYRIGHT (c) 1989-1999.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#ifndef __M68k_TYPES_h
-#define __M68k_TYPES_h
-
-#ifndef ASM
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/*
- *  This section defines the basic types for this processor.
- */
-
-typedef unsigned char  unsigned8;      /* unsigned 8-bit  integer */
-typedef unsigned short unsigned16;     /* unsigned 16-bit integer */
-typedef unsigned int   unsigned32;     /* unsigned 32-bit integer */
-typedef unsigned long long unsigned64; /* unsigned 64-bit integer */
-
-typedef unsigned16     Priority_Bit_map_control;
-
-typedef signed char      signed8;      /* 8-bit  signed integer */
-typedef signed short     signed16;     /* 16-bit signed integer */
-typedef signed int       signed32;     /* 32-bit signed integer */
-typedef signed long long signed64;     /* 64 bit signed integer */
-
-typedef unsigned32 boolean;     /* Boolean value   */
-
-typedef float          single_precision;     /* single precision float */
-typedef double         double_precision;     /* double precision float */
-
-typedef void m68k_isr;
-
-typedef void ( *m68k_isr_entry )( void );
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif  /* !ASM */
-
-#endif
-/* end of include file */
Index: c/src/lib/libcpu/sh/sh7750/ChangeLog
===================================================================
--- c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/lib/libcpu/sh/sh7750/ChangeLog	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -1,2 +1,8 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* include/rtems/score/ispsh7750.h, score/ispsh7750.c: Account for
+	name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libcpu/sh/sh7750/include/rtems/score/ispsh7750.h
===================================================================
--- c/src/lib/libcpu/sh/sh7750/include/rtems/score/ispsh7750.h	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/lib/libcpu/sh/sh7750/include/rtems/score/ispsh7750.h	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -46,5 +46,5 @@
 #endif
 
-#include <rtems/score/shtypes.h>
+#include <rtems/score/types.h>
 
 /* dummy ISP */
Index: c/src/lib/libcpu/sh/sh7750/score/ispsh7750.c
===================================================================
--- c/src/lib/libcpu/sh/sh7750/score/ispsh7750.c	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ c/src/lib/libcpu/sh/sh7750/score/ispsh7750.c	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -39,5 +39,5 @@
 
 #include <rtems/system.h>
-#include <rtems/score/shtypes.h>
+#include <rtems/score/types.h>
 #include <rtems/score/isr.h>
 
Index: cpukit/score/cpu/m68k/ChangeLog
===================================================================
--- cpukit/score/cpu/m68k/ChangeLog	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ cpukit/score/cpu/m68k/ChangeLog	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -1,2 +1,8 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* include/rtems/score/ispsh7750.h, score/ispsh7750.c: Account for
+	name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/m68k/Makefile.am
===================================================================
--- cpukit/score/cpu/m68k/Makefile.am	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ cpukit/score/cpu/m68k/Makefile.am	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -28,5 +28,5 @@
     rtems/score/cpu.h \
     rtems/score/m68k.h \
-    rtems/score/m68ktypes.h
+    rtems/score/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
     $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
Index: cpukit/score/cpu/m68k/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/cpu.h	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ cpukit/score/cpu/m68k/rtems/score/cpu.h	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -23,5 +23,5 @@
 #include <rtems/score/m68k.h>              /* pick up machine definitions */
 #ifndef ASM
-#include <rtems/score/m68ktypes.h>
+#include <rtems/score/types.h>
 #endif
 
Index: cpukit/score/cpu/m68k/rtems/score/m68k.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/m68k.h	(revision d911f16c0170641bddad1444d916d120b56db999)
+++ cpukit/score/cpu/m68k/rtems/score/m68k.h	(revision ce3c6f3e361afc2a4bccf0f6cf974e98c3535e3e)
@@ -231,5 +231,5 @@
 
 #ifndef ASM
-#include <rtems/score/m68ktypes.h>
+#include <rtems/score/types.h>
 #endif
 
